# sinara-assembly

Repository with instructions and remarks on assembling and testing Sinara hardware

### Build docs

```shell
nix build
```

The output files are in `result/book` directory.

### Development shell

```shell
nix develop
mdbook build
```

The output files are in `book` directory.

## Contributing

If you found missing hardware or just want to add/enhance hints and instructions,
feel free to push them.

Tips for adding hardware instructions:

1. Compose a chapter in a new Markdown file in `src/hw`
2. Add pictures if needed, store them in `src/img`, assure them to be clear, informative and compressed
   (you can use `convert <INPUT IMAGE> -quality 80% -resize <width>x<height> <OUTPUT IMAGE>` for optimizing JPEG image 
   or `convert <INPUT IMAGE> -quality 80% -resize <width>x<height> -background white -alpha remove -alpha off <OUTPUT IMAGE>`
   for images with transparent background)
3. Add link to the new chapter to the `src/SUMMARY.md`
4. Do not forget to tell about all hidden/non-obvious obstacles and pitfalls
5. Add testing steps, even the "obvious" ones
6. Add JSON sample if needed
7. Add hardware setup (e.g. pins, switches) steps if needed
8. View changed and added pages with `mdbook build` (see building instructions above)
