# Sinara 5432 DAC Zotino / Sinara 5632 DAC Fastino

* [Datasheet Zotino](https://m-labs.hk/docs/sinara-datasheets/5432.pdf)
* [Wiki Zotino](https://github.com/sinara-hw/Zotino/wiki)
* [Wiki Fastino](https://github.com/sinara-hw/Fastino/wiki)

## JSON

```json
{
  "type": "zotino",
  "ports": [<port num>]
}
```
```json
{
  "type": "fastino",
  "hw_rev": "v1.2", // optional
  "ports": [<port num>]
}
```

Fastino uses two physical EEM channels, but in the JSON file there should be only one channel specified, 
and it should be the one connected to Fastino's EEM0.

## Setup

Connect the BNC/SMA-IDC adapters to the Zotino/Fastino with 26-pin cable if needed by customer. Be aware of the ports order - 
see reference numbers on the board.

## Testing

After running `artiq_sinara_test`:

```text
*** Testing Zotino DACs and USER LEDs.
Voltages:
zotino0 0.1 -0.1 0.2 -0.2 0.3 -0.3 0.4 -0.4 0.5 -0.5 0.6 -0.6 0.7 -0.7 0.8 -0.8 0.9 -0.9 1.0 -1.0 1.1 -1.1 1.2 -1.2 1.3 -1.3 1.4 -1.4 1.5 -1.5 1.6 -1.6
Press ENTER when done.

*** Testing Fastino DACs and USER LEDs.
Voltages:
fastino0 0.1 -0.1 0.2 -0.2 0.3 -0.3 0.4 -0.4 0.5 -0.5 0.6 -0.6 0.7 -0.7 0.8 -0.8 0.9 -0.9 1.0 -1.0 1.1 -1.1 1.2 -1.2 1.3 -1.3 1.4 -1.4 1.5 -1.5 1.6 -1.6
Press ENTER when done.
```

1. Touch with multimeter/DC voltmeter each pair of pins from bottom to top (left pins are ground)
2. Check that respective pins have voltages as described by `artiq_sinara_test`
3. If there are [BNC/SMA-IDC adapters](./bnc_sma_idc_adapter.md), also check their voltages - they should be the same
4. Check LEDs are on
